ListCalculatedChannels
Retrieve the latest versions of calculated channels based on an optional filter.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of calculated channels to return. The service may return fewer than this value. If unspecified, at most 50 calculated channels will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.
A page token, received from a previous ListCalculatedChannels call.
Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to ListCalculatedChannels must match
the call that provided the page token. Optional.
A Common Expression Language (CEL) filter string.
Available fields to filter by are calculated_channel_id, organization_id, client_key, name, description,
asset_id, asset_name, tag_id, tag_name, units, calculated_channel_version_id,
created_date, modified_date, created_by_user_id, modified_by_user_id, is_archived, and archived_date.
Folder membership is filterable via the folders and activeFolders fields. Both contain the ids of the folders
the calculated channel belongs to; activeFolders excludes archived folders. Use "<folder_id>" in folders to
return calculated channels in the given folder, and size(activeFolders) == 0 to return uncategorized calculated
channels (calculated channels whose only memberships are in archived folders count as uncategorized).
For further information about how to use CELs, please refer to this guide.
This field is only required if your user belongs to multiple organizations.
How to order the retrieved calculated channels. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...".
Available fields to order_by are created_date, modified_date, name, description, units, and archived_date.
If left empty, items are ordered by created_date in descending order (newest-first).
For more information about the format of this field, read this
Example: "created_date desc,modified_date"